﻿using System.Collections.Generic;
using Xamarin.Forms;

namespace NavigationDrawer
{
	public partial class NavigationDrawerPage : ContentPage
	{
		public NavigationDrawerPage()
		{
			InitializeComponent();
			navigationDrawer.DrawerWidth = 200;
			hamburgerButton.Image = (FileImageSource)ImageSource.FromFile("burgericon.png");
			List<string> list = new List<string>();
			list.Add("FirstPage");
			list.Add("SecondPage");
			list.Add("ThirdPage");
			listView.ItemsSource = list;
			mainContent.Children.Add( new FirstPage().Content);
		}

		void Handle_Clicked(object sender, System.EventArgs e)
		{
			navigationDrawer.ToggleDrawer();
			                
		}

		void Handle_ItemSelected(object sender, Xamarin.Forms.SelectedItemChangedEventArgs e)
		{
			if (e.SelectedItem.ToString() == "FirstPage")
			{
				mainContent.Children.Clear();
				mainContent.Children.Add( new FirstPage().Content);
				navigationDrawer.ToggleDrawer();
			}
			else if (e.SelectedItem.ToString() == "SecondPage")
			{
				mainContent.Children.Clear();
				mainContent.Children.Add( new SecondPage().Content);
				navigationDrawer.ToggleDrawer();
			}
			else if (e.SelectedItem.ToString() == "ThirdPage")
			{
				mainContent.Children.Clear();
				mainContent.Children.Add( new ThirdPage().Content);
				navigationDrawer.ToggleDrawer();
			}
			
		}
	}
}
